<header>
    <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
        <div class="flex-grow-1">
            <a aria-label="Home" class="logo" routerLink="/">
                <img src="assets/images/Lofo.png" class="img-fluid" alt="Responsive image">

            </a>
        </div>
        <div class="collapse navbar-collapse" id="navbarNav">
            <div class="mr-auto"></div>
            <ul class="navbar-nav" id="menu">
                <li [ngClass]="{'active': selectedIndex == 1}" (click)="setSelected(1)">
                    <a class="nav-link" href="#home">Home <span class="sr-only">(current)</span></a>
                </li>
                <li [ngClass]="{'active': selectedIndex == 2}" (click)="setSelected(2)" *ngIf="isLoggedUser()">
                    <a class="nav-link" routerLink="/trainers">Trainers </a>
                </li>
                <li [ngClass]="{'active': selectedIndex == 3}" (click)="setSelected(3)" *ngIf="isLoggedUser()">
                    <a class="nav-link" routerLink="/trainees">Trainees</a>
                </li>
            </ul>
            <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
            <script type="text/javascript">
                $(document).on('click', 'ul li', function(){
                    $(this).addClass('active').siblings.removeClass('active');
                })
            </script>
        </div>
        <div class="flex-grow-1 float-right">
            <div *ngIf="isLoggedIn" ngbDropdown class="float-right">
                <div ngbDropdownMenu aria-labelledby="dropdownBasic1">
                    <button (click)="goToUserProfile()" ngbDropdownItem>Profile</button>
                    <button (click)="logout()" ngbDropdownItem>Logout</button>
                </div>
                <button class="userdetails" id="dropdownBasic1" ngbDropdownToggle>
                    <img class="account-icon" src="assets/images/{{username}}.jpg">
                    {{username}}
                </button>
            </div>
            <div *ngIf="!isLoggedIn">
                <a routerLink="/sign-up" class="float-right sign-up mr-2">Sign up</a>
                <a routerLink="/login" class="float-right login mr-2">Login</a>
            </div>
        </div>
    </nav>
</header>